[Launch]
ProgramExecutable="CleaningSuite\csuite.exe"
WorkingDirectory="%PAL:AppDir%\CleaningSuite"
DirectoryMoveOk=yes

[Activate]
Registry=true

[RegistryKeys]
CleaningSuite="HKCU\Software\ASCOMP\Cleaning Suite"

[RegistryCleanupIfEmpty]
1=HKCU\Software\ASCOMP

[DirectoriesMove]
CleaningSuite="%AppData%\ASCOMP Software\Cleaning Suite"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\CleaningSuite.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\CleaningSuite.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\CleaningSuite.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\